- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CutSceneTextCommand Class Reference

`#include <Command.h>`

Inheritance diagram for CutSceneTextCommand:

List of all members.

## Public Member Functions
| CutSceneTextCommand (std::string text)
| CutSceneTextCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _text
## Static Private Attributes
static const std::string | _id = "cutSceneText"

## Detailed Description

Definition at line 221 of file Command.h.

## Constructor & Destructor Documentation

CutSceneTextCommand::CutSceneTextCommand | ( | std::string | text | ) |

| Definition at line 11 of file CutSceneTextCommand.cpp.

CutSceneTextCommand::CutSceneTextCommand | ( | List * | command | ) |

| Definition at line 17 of file CutSceneTextCommand.cpp. References _text, List::firstString(), and List::rest().

## Member Function Documentation

void CutSceneTextCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 23 of file CutSceneTextCommand.cpp. References _text, Level::instance(), and Level::setCutSceneText().

std::string CutSceneTextCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 28 of file CutSceneTextCommand.cpp. References _id, _text, List::getString(), and List::snoc().

static std::string CutSceneTextCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 229 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const std::string CutSceneTextCommand::_id = "cutSceneText"`[static, private]`

| Definition at line 232 of file Command.h. Referenced by getString(), and id().

std::string CutSceneTextCommand::_text`[private]`

| Definition at line 231 of file Command.h. Referenced by CutSceneTextCommand(), execute(), and getString().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/CutSceneTextCommand.cpp